/**
 * Copyright 2005-2012 Akiban Technologies, Inc.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *     http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package com.persistit.exception;

import com.persistit.util.Debug;

/**
 * Thrown if Persistit attempts to open a corrupt volume file. Generally it will
 * be necessary to restore a backup copy of the volume file to resolve this.
 * 
 * @version 1.0
 */
public class CorruptVolumeException extends PersistitException {
    private static final long serialVersionUID = 9119544306031815864L;

    public CorruptVolumeException() {
        super();
    }

    public CorruptVolumeException(final String msg) {
        super(msg);
        Debug.$assert0.t(false);
    }

}
